<?php

//应用公共文件

// 版本号
define('VERSION_V','?ver=v10.0.6');

// 强制加载中文语言包
\think\facade\Lang::load(__DIR__ . '/lang/zh-cn.php');

// 加密秘钥
const UC_AUTH_KEY = 'L=<z|6aMF8s.Z_CE~K)e}c[VuG9hlJ#gp02t"1&`';

//自动结算洗码和占股金额能否超过上级余额 1可以超过 0不可以超过
define('SETTLE_MONEY_EXCEED_PARENT_MONTY',1);

// 打印方法
function pre($data){
	echo "<pre>";
	print_r($data);
	echo "</pre>";
}
// 生成一个apiToken 作用Websocket登录
function create_login_token($user): string
{
    $curTime = time();
    return md5($curTime.$user['encrypt'].$user['password']);
}
//系统非常规MD5加密方法
function think_ucenter_md5($str, $key = 'ThinkUCenter'): string
{
    return '' === $str ? '' : md5(sha1($str) . $key);
}
// 定义一个函数获取客户端IP地址
function get_ip(){
    global $ip;
    if(getenv("HTTP_X_FORWARDED_FOR"))
        $ip = getenv("HTTP_X_FORWARDED_FOR");
    else if (getenv("HTTP_CLIENT_IP"))
        $ip = getenv("HTTP_CLIENT_IP");
    else if(getenv("REMOTE_ADDR"))
        $ip = getenv("REMOTE_ADDR");
    else $ip = "";
    return $ip;
}
// 正负数转换
function to_number($number): float
{
    $returnNumber = $number > 0 ? -1 * $number : abs($number);
    return round($returnNumber,2);
}
// 字符串结果转数组
function string_to_array($string): array
{
    if (empty($string)){
        return [];
    }
    $array = explode(",", $string);
    $returnArray = [];
    foreach ($array as $v){
        $item = explode(":", $v);
        $returnArray[$item[0]] = $item[1];
    }
    return $returnArray;
}
// 数组结果转字符串
function array_to_string($array): string
{
    $returnArray = [];
    foreach ($array as $k => $v){
        $returnArray[] = $k.':'.$v;
    }
    return implode(",", $returnArray);
}
